Redmine - Patch #28996

Update Redmine::Plugin documentation
2018-06-08 17:05 - Sho HASHIMOTO

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Documentation Estimated time: 0.00 hour
Target version: 4.0.0

Description

| want to more information to Redmine methods for plugin development.
As a trial, | created a patch to add below information to Redmine::Plugin.

e Add Marc Since to each Redmine::Plugin methods
¢ Add reference to Plugin_Tutorial wiki and Redmine::Plugin#requires_redmine
¢ Add description to a few methods

| checked Marc Since info with using yard diff(the result pasted below).

¢ https:/qist.github.com/sho-h/15553f13b36e4acbd961086ced2f0a38

| will create patches to add Marc Since information to Redmine methods after this tickets was closed.

Associated revisions

Revision 17661 - 2018-11-29 18:19 - Jean-Philippe Lang
Update Redmine::Plugin documentation (#28996).

History

#1 - 2018-06-14 04:21 - Mizuki ISHIKAWA

+1
| think this is necessary information for plugin developers.

#2 - 2018-07-09 08:02 - Go MAEDA
- Assignee set to Jean-Philippe Lang

- Target version set to 4.0.0

| think the comment suggested by Sho is useful. However, | wonder if we can continuously update the comments in the future versions.

I would like Jean-Philippe to decide whether we can commit this change.

#3 - 2018-07-16 03:46 - Sho HASHIMOTO

Please remove Marc Since tags from patch if it is difficult to maintain version info. I'll publish unofficial document.

#4 - 2018-09-25 14:29 - Sho HASHIMOTO

I'll publish unofficial document.

Like below. This is auto generated table by using yard diff version1 version2 under redmine repository.

e https://qgist.github.com/sho-h/15553f13b36e4acbd961086ced2f0a38

#5 - 2018-11-29 18:20 - Jean-Philippe Lang
- Subject changed from Update Redmine::Plugin document to Update Redmine::Plugin documentation

- Status changed from New to Closed

It's perfectly right to improve the documentation. I've committed the proposed additions with slight changes, thanks. But the yard tags are not used

2025-07-06 1/2



https://www.redmine.org/users/393941
https://www.redmine.org/users/393941
https://gist.github.com/sho-h/15553f13b36e4acbd961086ced2f0a38
https://www.redmine.org/users/393941
https://www.redmine.org/users/393941
https://gist.github.com/sho-h/15553f13b36e4acbd961086ced2f0a38

anywhere in the code, it doesn't sound so good to me to introduce them in a single class.

#6 - 2018-12-06 05:25 - Sho HASHIMOTO

Thanks to merge documentation!!

But the yard tags are not used anywhere in the code, it doesn't sound so good to me to introduce them in a single class.

No. Redmine already has yard tags.

e Gemfile: https://github.com/redmine/redmine/blob/3.4.6/Gemfile#L 89-L.92
e application_helper.rb: https://github.com/redmine/redmine/blob/3.4.6/app/helpers/application_helper.rb#L43-L46

application_helper.rb has yardoc tag because rdoc has no @<tagname>. See below.

e https://github.com/ruby/rdoc/blob/master/ExampleRDoc.rdoc

Files

update_redmine_plugin.patch 12.3 KB 2018-06-08
